commit f7bd3662d2292e248173721d4760c03df39df666
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 15 19:29:12 2014 +0200

    po: sync PO files

commit 1cb2eafa672937d0286dbd36d52ac8da34caef23
Author: Chris Leick <c.leick@vollbio.de>
Date:   Mon Dec 15 19:28:22 2014 +0200

    po: update German translation
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 4de786f32991a54bfc5d751d223c9bb4aab5d825
Author: Petr Pisar <petr.pisar@atlas.cz>
Date:   Sun Dec 14 22:28:21 2014 +0200

    po: update Czech translation
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit ea87ddc5aa6c86c22950f975940131962c57e0eb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 14 12:26:11 2014 +0200

    po: add British localization

commit db155231ebb2162a2bc70b19ef65b054a508dcba
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 14 12:42:15 2014 +0200

    po: update French localization

commit 9a9304bbc6ee43849883e2cfb031a7425c6329a5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 14 12:31:54 2014 +0200

    po: fix msgId contact

commit 418993b075fd40c6108a58ba9bf5a5b9b81ff482
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 14 12:29:12 2014 +0200

    ndisc: use American spelling for ASCII output

commit 138de871bee755fd84ee9a7d25f209b1563b2c4e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 14 12:35:31 2014 +0200

    rdnssd: also dso not spam if domain name is too long
    
    I am not sure if this qualifies as an invalid packet, but we do not
    want to spam logs for bogus packets anyway.

commit c1a16452ae1fefd7ca4e0d7926babe75a4d487b2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 14 12:17:14 2014 +0200

    rdnssd: do not spam log on invalid ICMPv6 payload
    
    So far, we always ignored malformatted packets. It would be too easy
    for anybody on the network segment to fill the logs with garbage.

commit 5c103cfc228638fbba036837ea88a3dcfb692499
Author: Eugene Alekseev <ealekseev@clodo.ru>
Date:   Sun Dec 14 12:14:46 2014 +0200

    rdnssd: filter out duplicate lines in resolv.conf
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 6c4afd55c68ffccc32957f830d801ce3152b82eb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 14 12:13:22 2014 +0200

    News

commit 58275e343b643b40b9255557c2181c79cf13e071
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 14 12:10:31 2014 +0200

    Update gettext to 0.19.3

commit f00e4ae949b384eafffbd059f88aa385d0b8f289
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 14 12:08:37 2014 +0200

    m4: missing distributed file

commit 40001ffb8e9c2d4bc54cce1179c2b30d450dc9cd
Author: Rémi Denis-Courmont <remid@nvidia.com>
Date:   Sun Sep 7 21:07:48 2014 +0300

    traceroute: fix sizeof() parameter
    
    Reported by David Binderman.

commit ad59229fed724307734be90b42e99dc716fd56eb
Author: Kristofor Varhus <varhus@seas.upenn.edu>
Date:   Fri Oct 25 16:44:13 2013 +0300

    doc: document --source
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 9081e95f00ca6d7df845c9d2c5b2c16a0b578ca5
Author: Kristofor Varhus <varhus@seas.upenn.edu>
Date:   Fri Oct 25 16:51:56 2013 +0300

    ndisc6: add --source option to select source address
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 3f1f0af339364d77d11f68a0ee975b4db2a846b3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 2 23:28:36 2013 +0300

    Fix resetting time-out when receiving a packet from the wrong interface

commit 4b26984a8e690155576871377c0b6cdc745d8239
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 2 23:21:53 2013 +0300

    Bump version

commit d65759b613b31a2d0a6b3beed956327942b22fb6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 2 23:21:03 2013 +0300

    configure: update gettext

commit 070be098b1ec5d294246ad8e94df9adde1767a50
Author: Andreas Steinmetz <ast@domdv.de>
Date:   Wed Oct 3 19:09:44 2012 +0300

    rdisc6: add support for DNSSL (RFC6106)
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit e02ff322404e452769244756cced5cf1ca08dcd7
Author: Mikhail Efremov <sem@altlinux.org>
Date:   Tue Jul 17 21:15:21 2012 +0400

    rdnssd: Fix dnssl_update().
    
    Really use domains list, not servers list.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit c89a92beb6e45b4669e482e4cc7a842f11055f30
Author: Alexey I. Froloff <raorn@raorn.name>
Date:   Tue May 22 16:26:51 2012 +0400

    rdnssd: output single "search" line
    
    In resolv.conf there can be only one "search" line, that may contain
    several domain suffixes separated by tabs or spaces.
    
    Signed-off-by: Alexey I. Froloff <raorn@raorn.name>
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit fe4720d1c4b1487040d94eb9b18dcf097cdaf36d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu May 3 21:07:17 2012 +0300

    Allow autogen to run from any directory

commit d6f66139cd8407cc033dbc48e389a1ae4b15b4d7
Author: Martin Kletzander <martin.kletzander@gmail.com>
Date:   Sun Oct 16 16:53:40 2011 +0200

    Added support for RFC6106
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 4ac88858a822a4ce92cd9dd9384f11c12bc3545b
Author: Arien Vijn <arien@vijn.net>
Date:   Fri Oct 7 23:34:28 2011 +0300

    Add support for source LL address on *BSD systems
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 8e8ac3e091c4729ab1d3ed38a02f1e6b68b712d2
Author: Martin Kletzander <xkletz00@stud.fit.vutbr.cz>
Date:   Wed Sep 21 09:53:41 2011 +0200

    Minor typo
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 2a8c468d263c6fdd1b6a6669f8d1e4a378ce9528
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Sep 22 19:11:11 2011 +0300

    Update ChangeLog generation to git

commit 6ddd59b4f947d818fb47df2b3a9cd22018b859a6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Sep 22 19:11:43 2011 +0300

    Remove SVN-related dist check

commit 0ab50b16ee0b481d5f5b7a23e653e4e58c033481
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Sep 22 19:00:59 2011 +0300

    Remove $Id$

commit 997b412af4b990be33f54776020868da1625ee02
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Sep 22 18:57:27 2011 +0300

    autogen: not using Subversion anymore

commit 845f2ae8169209f28eeda627fcf989fbb0b73ec7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Sep 22 18:55:46 2011 +0300

    .gitignore

commit 306ae1de8ce27ce4b0c8df1243f4dd290f01fe7a
Author: Arien Vijn <arien@vijn.net>
Date:   Thu Sep 22 18:47:28 2011 +0300

    Replace ND_RA_FLAG_HOME_AGENT with ND_RA_FLAG_HA on BSD
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 9692444b1266af53c79e640a488ab873101b7c6d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Sep 22 18:46:31 2011 +0300

    Create include/ directory

commit 781500c4119ec4e1278b012079b44c3d46bcd441
Author: Martin Kletzander <xkletz00@stud.fit.vutbr.cz>
Date:   Mon Sep 19 10:16:14 2011 +0200

    Moved parsing options into separate function

commit fde9cbfb16ef97a8469885324148b212adc1093c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Jul 31 08:53:07 2011 +0000

    Sync PO files

commit 073d468ca20037486d40ce66c498548260c5080c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Jul 31 08:46:22 2011 +0000

    Some news

commit fbd02e9857d3d42cd937d155a00f4c03cc0afa4a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Jul 20 15:23:27 2011 +0000

    Check for errors when dropping privileges

commit dabf66709d3da8c0ea59dffa656b31fc9c0f2169
Author: Andrew O. Shadoura <bugzilla@tut.by>
Date:   Sat May 28 14:01:38 2011 +0000

    Document rdisc6 and ndisc6 return values
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 0ebf842b9e64aeb24f9f6ae0e2e54981e49bd91a
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Apr 16 19:09:20 2011 +0000

    ppoll(): fix typo

commit d262519e5ba86ad071ae4a9551de99239ba68ffc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Mar 19 09:48:38 2011 +0000

    ppoll(): handle NULL timeout parameter

commit 5fe841acb4d2090a7151d4d6bc60f1dcc6f8fd83
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Feb 21 17:03:29 2011 +0000

    Fix integer overflow of RDNSS lifetime (Debian #605808)

commit c34cd3c4b6b8581258ea8eb11181e9e00396a923
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Feb 21 16:37:16 2011 +0000

    Update Czech and German translations

commit 5a688798ca779a621c31d6109a352606ab53a37f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Feb 20 14:00:35 2011 +0000

    Sync PO files

commit a7e1b2055e9dd418bab6f5555ff95ba1735ffb75
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Feb 20 14:00:04 2011 +0000

    Update french translation

commit e83f59473410d1936fdde91aa546e3a830cc6e89
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Feb 20 13:50:33 2011 +0000

    News

commit ad74cdefc78ee0a52599f45ca4ab707dcfa08cec
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Feb 20 13:48:34 2011 +0000

    Print prefix informations flags (Debian #605808)

commit 2be32a5fc4b5214f6c9074c464e57a556fcf9e2e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Feb 20 13:38:25 2011 +0000

    Add RA proxy bit (RFC4389)

commit b96dce3e1980abe5eabbed9d185bc93d030fcd7a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Feb 20 13:23:21 2011 +0000

    Bump version

commit 62b726da4b7c615afb9cc7ca7b807e8bdcdb51c7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Feb 20 13:21:16 2011 +0000

    Print the RA home agent flag

commit 85510210cdbe6fe49cb6ac367f78224f0fd12b39
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 16 19:15:41 2010 +0000

    News

commit e264c8c24c5a8239f1f93fd5f76f1da36325ac43
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 16 19:15:36 2010 +0000

    Remove the isatap daemon

commit a15ae47593c23b575a2172fad197d806083e326b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 16 19:14:34 2010 +0000

    Bump version

commit 08212c82d3948c77d95f1c6209049643fd599122
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 31 20:59:03 2010 +0000

    Update PO files

commit 8341b2c46a355607a0890c05f9967c22b34df487
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 31 20:58:51 2010 +0000

    New version

commit 137238798c44f47a7f0865049951f5d55de435cd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 31 20:57:48 2010 +0000

    News

commit 92c643bf767c21210b17c2ab986a13056308f298
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 31 20:56:30 2010 +0000

    Update my mail address

commit 36019a1a229027cc69c6f787a2ee16c5ea155140
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 31 20:51:32 2010 +0000

    rdisc: fix alignments problems on ARM and SPARC

commit 55970c0e472d6e32859b624effb277b713e11dc4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed May 5 19:31:09 2010 +0000

    german update

commit ede520e5f7715c2bc729460649f47561703c2fa7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed May 5 19:27:36 2010 +0000

    Czech update

commit 87e89fe320329d3643cf59594872d9b04052cfa4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat May 1 08:12:56 2010 +0000

    Update American translation again

commit a94373d0f75c59a915fe47863077db9356dc9ca3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat May 1 08:12:10 2010 +0000

    Update French translation (for good this time)

commit 08786f5346135c981246376e128425afe88adac3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat May 1 08:11:57 2010 +0000

    Sync PO master (again...)

commit 03eae7763cfdcf281ab2126802d20eaa29e243fd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat May 1 08:08:53 2010 +0000

    Fix plural handling

commit 8c58d1e145cf6bcb3a0e1f7b33b989ee8d43a23c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat May 1 08:08:34 2010 +0000

    Use C99 format modifiers instead of casts

commit 54ce92cfcb8629a8b933fb43f80db2635b821d66
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat May 1 07:52:43 2010 +0000

    Udpate American English locale

commit ced90b7e060c6f504096a963885021e92a526a0d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat May 1 07:50:58 2010 +0000

    Sync PO again...

commit 4daf135ad7f29f232c8a28f856d1387b8aed4559
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat May 1 07:50:45 2010 +0000

    Update French locale

commit 63646484fa1145501d664df0b8580af0bbbcf001
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat May 1 07:49:06 2010 +0000

    Typo

commit e5a3fc883a32fda9650d71cd8053a4451a682bda
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat May 1 07:45:34 2010 +0000

    Resync PO files

commit 696f46c7ac18781cc72ad76372b3b306e3b18243
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat May 1 07:40:37 2010 +0000

    News

commit 992fc67d88e2554a349e6da6206daae13b49b9f0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat May 1 07:38:31 2010 +0000

    Initial german translation
    
    Credits to Chris Leick, via Debian BTS

commit 6d4368b9e9bb1a1a78a2cafa03e657a42ea8dcc6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Apr 8 16:05:18 2010 +0000

    Czech translation fix
    
    Credits to Petr Pisar <petr.pisar@atlas.cz>

commit ac9f55379dfe384a6c789eb548bfcff527bd6c4a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Jan 24 08:35:43 2010 +0000

    Silent rules for src/

commit 03c3af6470897cbdc7a42a0d455e6bee84fa0a87
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Jan 24 08:32:21 2010 +0000

    silent rules for sed

commit f0074c158ef68df5aff24158a9cef4ebe9ef9311
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Jan 24 08:27:53 2010 +0000

    Enable silent rules and automake -Wall

commit 7012c93dd9e5f011882c2d74c6a09b35b9960854
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Jan 24 08:25:00 2010 +0000

    Move automake options to Makefile.am

commit 549a966fac3d62a60a7f12f72a3ab309b809530a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Jan 24 08:20:39 2010 +0000

    Bump version

commit 0f7d8df53749b5d055d6ecdc5390b99cf4fbe991
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Jan 24 08:18:41 2010 +0000

    Document --config

commit bdd2353204c7a07fb3c32c4a3192c6cad3bf5470
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Jan 24 08:16:52 2010 +0000

    Add --config option to addr2name

commit 4af9ebaf1a47396694be16b378bb13a1c638eeaf
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 25 21:31:20 2009 +0000

    Replace the Perl merge hook by one written in POSIX shell, free of
    utilities stored in /usr

commit b3a5ae575be16b612eeaca7b64163a0955c1b83a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Aug 4 18:42:37 2009 +0000

    News for 0.9.9

commit 7cc26cb6b750825f6cf7cddb1dcca9b56e445f90
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Aug 4 18:39:39 2009 +0000

    Sync PO files

commit efdef2f2d82e624d792752613795848f27d7e366
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Aug 4 18:38:40 2009 +0000

    Update authors (we have no thanks file)

commit 1a31a2693097b53801b34273ae064bdad6a647d6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Aug 4 18:37:49 2009 +0000

    Update my email address

commit 107a4dc6243111381daee0443d196e1b64025bab
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Aug 4 18:37:13 2009 +0000

    Distribute missing isatapd files

commit 7253c59e4d570a067fdc98aa44620ea9e595226c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Aug 4 18:34:27 2009 +0000

    isatapd for Linux
    
    Patch by Yin Kwong-Sang and Fred Templin, the Boeing Company

commit 9c44ff7349b6c1d974fc2ced353a3b04e43fb545
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 19 16:40:04 2008 +0000

    Czech translation by Petr Pisar

commit fb839377adf5f95b21ebced59fbb94f08f4d8fbe
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Jul 11 17:10:23 2008 +0000

    Use PRIu8 as appropriate
    
    Surprisingly enough, gettext does handle this correctly (since 2002!)

commit aaea47e7efd3b59d12ace778d1d755457b6a4612
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu May 1 14:26:09 2008 +0000

    Fix stdint.h includes

commit c5d21b2585e78bb61f819e2aab38986c6a719778
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu May 1 14:08:21 2008 +0000

    Bump version

commit 3f542d4fd582f48310dcb9970ca9755236204b7b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu May 1 12:50:28 2008 +0000

    Update PO files

commit 18e5fbed316ec25d90a0a43f062f764df843b7d7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Apr 24 20:33:56 2008 +0000

    rdisc6: set unicast hop limit to 255 as well for ISATAP support
    Issue pointed out by Fred L. Templin.

commit f2918af0d236a1da95b0602d664756bff625f0cc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Apr 24 17:15:22 2008 +0000

    Don't set checksum coverage on ICMPv6 socket.
    This violates RFC3542, and is not needed anyway.

commit ef5c13041fc0edcc66fa64aa5af4f564d23efb99
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Apr 24 17:13:07 2008 +0000

    Don't set checksum coverage on ICMPv6 socket.
    This violates RFC3542, and is not needed anyway.

commit 191025b0edb30b0f80b07b084b32f250393e529a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Apr 24 17:12:58 2008 +0000

    Don't set checksum coverage on ICMPv6 socket.
    This violates RFC3542, and is not needed anyway.

commit 4812fc45a859295f0ab4562940a730bd2f0237f9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Apr 24 17:12:17 2008 +0000

    Fix incorrent double negation

commit 37ecb517de84ed572dd6095c0bbaee87274fb016
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Mar 23 09:56:38 2008 +0000

    Some news

commit 71a2a33ad2d2f4719ebccac82a806d45c45a7b2a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Mar 23 09:54:25 2008 +0000

    ndisc6 already has a replacement for monotonic time - use it

commit a926f86b362baea9722db93676a0d1a2820872f4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Mar 23 09:50:17 2008 +0000

    Fix for braindead OSX inet6 support

commit 3e43e2b973b8ed4d10e3ecbb1cda8cd89d51e0bb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Mar 23 09:39:45 2008 +0000

    Add ppoll() replacement - this is a GNU extension
    (and it might be a mess if POSIX ever standardizes a different prototype)

commit 2137932b23245036ece8a9b429eb6c47140b86ed
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Mar 23 09:17:49 2008 +0000

    Add missing #includes pointed out by Sébastien Vincent

commit 1705956e22f59d6a031acf33b600d111bb996f6e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Mar 23 09:15:00 2008 +0000

    BSD does not define SOL_*, copy work-around from src/traceroute.c

commit 18c3513f58ebba5c09a0f683731e205f6262f4c8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Mar 23 09:12:19 2008 +0000

    More inet6_rth_* replacements to libcompat

commit 74051e96aadbc94e5e2410aeb799e6db60deaef3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Mar 22 21:57:51 2008 +0000

    Replace fdatasync
    (copied straight from Miredo)

commit 81eca963b63cb56955f8bb550182e459b792f436
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Mar 22 21:55:24 2008 +0000

    Use libcompat (even though it's currently empty)

commit 81a3db149834a51c0070e9f06f499a26f259103d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Mar 22 21:50:33 2008 +0000

    Infrastructure to use AC_REPLACE_FUNC
    (shamelessly stolen from Miredo)

commit b9ff504d9571acf08f34ae437da64e506238d48a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Mar 16 17:34:47 2008 +0000

    Bump version number

commit 01877cdb8f1cc15b5d17f4a4a3319c3213236d0b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Mar 16 17:34:07 2008 +0000

    Fix undefined behavior if the interface of a link-local server vanishes early

commit 5bd3db38939c45b02ac4899f025578c3fcf7903f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Mar 5 20:38:10 2008 +0000

    Fix news

commit fc2e729dacf55b94f9cf1acfa6aec68eb94dbf5f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Mar 5 20:37:54 2008 +0000

    Sync PO files

commit 3de451a5798f76d74b3c47b2251a957b150a0213
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Feb 13 21:11:14 2008 +0000

    Hack to avoid resetting resolv.conf when rdnssd is restarted.
    It would be more appropriate to query the routers manually at startup...

commit ad1f05238125fb38291e358b0b1bee07caf3307e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Feb 13 21:04:47 2008 +0000

    Handle the corner case whereby the current time is already beyond the deadline.
    (fix integer overflow).

commit 37cf70c63dea449162d14513b428d1cbf864a98b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Feb 13 20:58:27 2008 +0000

    Be consistent: no merge hook at exit => no updating resolv.conf either

commit 37d8f95da5932bc958d37e4aff38ae9e41afdf70
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Feb 13 20:57:00 2008 +0000

    Handle ppoll() errors:
    EINTR is ok. ENOMEM is a fatal error. EINVAL, EFAULT, EBADF are bugs.

commit 857c8f9e43c10e7cfe53c62242c2f3eda620a87d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Feb 13 20:49:26 2008 +0000

    Cleanup: manager() does not need to know the worker PID, nor that it's its children

commit af9c751fc62c2564d2d138e4c30a922db5a5dbd7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Feb 11 17:57:39 2008 +0000

    Do not rerun the merge hook upon exit.
    Experience shows that does more harm than good.
    If the system is going down, that is useless.
    If rdnssd is restarted, or the system is going down for maintenance, that may screw up the network connectivity.
    
    Simplify waiting on the pipe from the manager.
    Also fixes a very minor and extremely unlikely race condition whereby the worker unexpectdtedly dies while writing to the pipe (then revents should be POLLIN|POLLHUP and we still want to run the merge hook one last time)

commit a793bf3a17d9e0ba3e536388af75a445ce515bd1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Feb 11 17:43:36 2008 +0000

    Fix missing waitpid() return value check

commit 0301da0389e7d3aa21002ada2c95215372d4f9e6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Feb 11 17:37:57 2008 +0000

    unlink before close is confusing. Comment it.

commit dd28bf0641830b3c4332a0dcb015e411126c45fb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Feb 9 13:28:13 2008 +0000

    doc: Install relative rather than absolute symlinks
    (as pointed out by Jason Tibbitts on Fedora Bugzilla)

commit 43f2303a2600d65947f26db5324710d51f75254a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Feb 9 13:21:31 2008 +0000

    Bump version

commit e60d00f755491a2d8f7d9004ec3a6e35821fc1c7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Feb 9 13:00:32 2008 +0000

    Warn about disable-suid-install. I thought I did that already.

commit 2c13aab836485c64f266ec898f12220b0e4aa895
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Feb 9 12:06:50 2008 +0000

    More news and sync PO files

commit 99655c94814900140536ef852b0eba7331fdf78c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Feb 8 15:50:20 2008 +0000

    News for 0.9.6

commit 8b8c51df962a22d245fb002b52d9a56ba7e2ee19
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Feb 8 15:50:04 2008 +0000

    Fix distcheck

commit fb835a291d6ff77943b2d0809087308940af808d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Feb 8 15:45:22 2008 +0000

    Typo

commit 31e8079fb2fdf5b9bc8ec181c6cda268d7bf4263
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Jan 30 16:54:05 2008 +0000

    Fix compilation against 2.6.24 kernel headers

commit fb8c1faa7eda6adc2673b2663c1415997670d470
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Jan 10 18:04:55 2008 +0000

    Filter out ICMP errors for packets toward other destinations,
    using the socket filter

commit b021d1efc86ef6d14cdd0df6fa5f170e2b359e8f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 30 16:54:31 2007 +0000

    Really make merge-hook executable.

commit f720765641213476f500732bb81954f3cf3a5a12
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 30 16:53:08 2007 +0000

    Bump dev version

commit 4d36f3d8e715901f964a9892155ce0bf7263e49f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 30 11:03:06 2007 +0000

    Improve the English locale, complete the French one

commit 833ea894e325eae5fc6d315db140e77408e3f283
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 30 10:37:51 2007 +0000

    Add some translation, and rationalize

commit aac96c26e337dd6bdd20bcd60b1bad9d734ab787
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 30 00:12:30 2007 +0000

    Update translation file

commit adce79ed2a18eb00b695e83bdb5e563a755d438c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 29 22:00:44 2007 +0000

    Some news already

commit d833c88101f6ebbbcad18eb9d354d751a752ae1e
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Dec 29 21:55:43 2007 +0000

    Fix typo in manpage formatting

commit 847df9b3ba751dc6e92602c6297397e6f982e1db
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 29 21:41:43 2007 +0000

    Ship rdnssd.8-in instead of rdnssd.8 in the tarball

commit 881dbf5a3e6ef648e1e61c366ae03a9c22963502
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 29 21:38:32 2007 +0000

    Try to remove /var/run/rdnssd/ while uninstalling

commit c1485c9b010a0d8853b13bfbbaf13276f3187cee
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 27 20:31:31 2007 +0000

    Missing #include

commit 2dfc857a4eb03eb51d820ebc7e91fa89cc4fa7c5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 27 20:23:37 2007 +0000

    Initialize groups properly - not to UID!!!

commit 16361a900fad4859dcd8910cbdbaabef24cdb896
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 27 20:04:16 2007 +0000

    Make merge-hook executable

commit 0aba80e7cc3da2d34b0b9aad34c34d4512fabb52
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 27 17:23:25 2007 +0000

    Bump version number

commit efa523d4d77236b482fed7319af9c0d61d683ef0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 27 17:17:53 2007 +0000

    News for 0.9.4

commit 4b70395c362aa2951a9c072568a0cb6a471c9df1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 27 17:16:06 2007 +0000

    Gettext insists on updating the PO dates

commit 9e49332c69967df8231218f2735798abc15aebeb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 27 17:12:35 2007 +0000

    Fix ASCII manpage hook

commit 7545b3f5fc1606358f67cef3c66960c86478edd3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 27 17:10:56 2007 +0000

    Update gettext

commit 8b5206c172a6d6d533e747485c3eb5b9457bf939
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 26 22:03:00 2007 +0000

    Sync and update translation files

commit 8332692049aab3b5c2d88f8206e33431c3bbfe4e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 26 21:56:25 2007 +0000

    String rationalization:
     - don't use \n with syslog
     - getpwnam does not usually set errno to anything meaningful (if user does not exists)

commit 675944054e9dd5d4bb96889ce804b6707d56428e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 26 21:43:18 2007 +0000

    Pedantic use of --

commit 3624479bad553493ee459cd394c6f07448503562
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 26 21:39:47 2007 +0000

    Create /var/run/rdnssd from $(make install)

commit 4299e092291a9f545e3ab17ee90207649960d6c6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 26 21:31:13 2007 +0000

    Use SIG_SETMASK rather than SIG_BLOCK
    We don't want to inherit whatever signal mask our parent had.

commit 8083d60476d5cafb0b8f621e3ef666bdff9d5625
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 14 16:57:29 2007 +0000

    Install rdnssd to /etc/rdnssd rather than /etc/ndisc6

commit 153ee5951cbff0097eb4b54c33d3b20b70c00556
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 14 16:47:55 2007 +0000

    merge-hook cosmetic fixes

commit a641affb82f4abb3cd1d98c7ee1d920781ac2400
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 14 16:42:32 2007 +0000

     - Add missing brackets
     - Handle socket error gracefully (skip error from recv())

commit 965cfc92ed4ca030aa73dc13d5b2c2cada9dee5d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 14 16:30:25 2007 +0000

    Fix for prehistoric libc

commit 61b8dde9b1c88bf3d6e68fdeb6f2940d515f8944
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Dec 14 16:30:11 2007 +0000

    ignore

commit eca4fd7c4e803a767e672f209a7cb27f681a29bc
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Dec 14 16:29:38 2007 +0000

    Enable writing of scoped link-local addresses to resolv.conf
